org.hibernate.search.backend.impl.lucene

## Class ExclusiveIndexWorkspaceImpl

- java.lang.Object
- - org.hibernate.search.backend.impl.lucene.AbstractWorkspaceImpl
  - - org.hibernate.search.backend.impl.lucene.ExclusiveIndexWorkspaceImpl

- All Implemented Interfaces:
    Workspace

      public class ExclusiveIndexWorkspaceImpl
      extends AbstractWorkspaceImpl

  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.backend.impl.lucene.AbstractWorkspaceImpl

      `writerHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExclusiveIndexWorkspaceImpl(DirectoryBasedIndexManager indexManager, WorkerBuildContext context, Properties cfg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommitPolicy` | `getCommitPolicy()` Get the commit policy applied to the workspace
    `void` | `notifyWorkApplied(LuceneWork work)` Some workspaces need this to determine for example the kind of flush operations which are safe to apply.

    - ### Methods inherited from class org.hibernate.search.backend.impl.lucene.AbstractWorkspaceImpl

      `afterTransactionApplied, areSingleTermDeletesSafe, closeIndexWriter, flush, getAnalyzer, getDocumentBuilder, getEntitiesInIndexManager, getIndexName, getIndexWriter, getIndexWriter, getIndexWriterDelegate, getIndexWriterDelegate, incrementModificationCounter, isDeleteByTermEnforced, optimizerPhase, performOptimization, shutDownNow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExclusiveIndexWorkspaceImpl

          public ExclusiveIndexWorkspaceImpl(DirectoryBasedIndexManager indexManager,
                                             WorkerBuildContext context,
                                             Properties cfg)

  - ### Method Detail

    - #### notifyWorkApplied

          public void notifyWorkApplied(LuceneWork work)

      Description copied from interface: `Workspace`
      Some workspaces need this to determine for example the kind of flush operations which are safe to apply. Generally used for statistics.
      Parameters:
        `work` - the LuceneWork which was just processed

    - #### getCommitPolicy

          public CommitPolicy getCommitPolicy()

      Description copied from interface: `Workspace`
      Get the commit policy applied to the workspace
      Returns:
        `CommitPolicy`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved